﻿@using System.Security.Claims
@{
    string email = User.FindFirst(ClaimTypes.Email)?.Value;
    string name = ViewBag.AdminName;
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    var area = role == Roles.FirmPrincipal ? "firm-principal" : role == Roles.FirmAdmin ? "firm-admin" : "adviser";
    string avatarImageSrc = !string.IsNullOrEmpty(ViewBag.avatarImage) ? ViewBag.avatarImage : "images/blank.png";
    var additionalRoles = ViewBag.additionalRoles;
    string[] splitRoles = !string.IsNullOrEmpty(additionalRoles) ? additionalRoles.Split(",") : new string[] { };
    string label_class = string.Empty;
    bool hasAdviserRole = !string.IsNullOrEmpty(additionalRoles) ? additionalRoles.Contains(Roles.Adviser) : false;
    string logoutUrl = role == Roles.SuperAdmin ? "superadminlogout" : "userlogout";
}
<div id="kt_quick_user" class="offcanvas offcanvas-right p-10">
    <div class="offcanvas-header d-flex align-items-center justify-content-between pb-5">
        <h3 class="font-weight-bold m-0">
            User Profile
        </h3>
        <a href="javascript:" class="btn btn-xs btn-icon btn-light btn-hover-primary" id="kt_quick_user_close">
            <i class="ki ki-close icon-xs text-muted"></i>
        </a>
    </div>
    <div class="offcanvas-content pr-5 mr-n5">
        <div class="d-flex align-items-center mt-5 mb-2">
            @if (role != Roles.SuperAdmin)
            {
                <div class="symbol symbol-100 mr-5">
                    <div class="symbol-label" style="background-image:url(@avatarImageSrc)" id="adviser_profile_avatar"></div>
                </div>
            }
            <div class="d-flex flex-column">
                <a href="javascript:" class="font-weight-bold font-size-h5 text-primary adviser_fullname">@name</a>
                @if (role != Roles.SuperAdmin)
                {
                    <div class="mt-1">@role</div>
                }
                <div class="navi mt-2">
                    <a href="javascript:" class="navi-item">
                        <span class="navi-link p-0 pb-2">
                            <span class="navi-icon mr-1">
                                <span class="svg-icon svg-icon-lg svg-icon-primary">
                                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                        <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                            <rect x="0" y="0" width="24" height="24" />
                                            <path d="M5,6 L19,6 C20.1045695,6 21,6.8954305 21,8 L21,17 C21,18.1045695 20.1045695,19 19,19 L5,19 C3.8954305,19 3,18.1045695 3,17 L3,8 C3,6.8954305 3.8954305,6 5,6 Z M18.1444251,7.83964668 L12,11.1481833 L5.85557487,7.83964668 C5.4908718,7.6432681 5.03602525,7.77972206 4.83964668,8.14442513 C4.6432681,8.5091282 4.77972206,8.96397475 5.14442513,9.16035332 L11.6444251,12.6603533 C11.8664074,12.7798822 12.1335926,12.7798822 12.3555749,12.6603533 L18.8555749,9.16035332 C19.2202779,8.96397475 19.3567319,8.5091282 19.1603533,8.14442513 C18.9639747,7.77972206 18.5091282,7.6432681 18.1444251,7.83964668 Z" fill="#000000" />
                                        </g>
                                    </svg>
                                </span>
                            </span>
                            <span class="navi-text text-muted text-hover-primary">@email</span>
                        </span>
                    </a>
                    <a href="admin/account/@logoutUrl" class="btn btn-sm btn-light-danger font-weight-bolder py-2 px-4" id="btn-sign-out">Sign Out <i class="icon-nm fas fa-sign-out-alt ml-1"></i></a>
                </div>
            </div>
        </div>
        <div class="text-dark mt-5">
            @foreach (var item in splitRoles)
            {
                label_class = item == AdminRoleEnum.FirmAdmin.GetDisplayName() ? "warning" : item == AdminRoleEnum.Compliance.GetDisplayName() ? "info" : "success";
                <span class="label label-@label_class label-inline mr-2 mb-1 label-lg">@item</span>
            }
        </div>
        <div class="separator separator-solid mt-3 mb-0"></div>
        @if (role == Roles.Adviser || hasAdviserRole)
        {
            <div class="navi navi-spacer-x-0 p-0">
                <a href="adviser/info" class="navi-item">
                    <div class="navi-link">
                        <div class="symbol symbol-40 bg-light mr-3">
                            <div class="symbol-label">
                                <i class="far fa-address-card text-primary icon-lg"></i>
                            </div>
                        </div>
                        <div class="navi-text">
                            <div class="font-weight-bold">
                                My Profile
                            </div>
                            <div class="text-muted">
                                Account settings and more
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="separator separator-solid mt-0 mb-0"></div>
            <div class="navi navi-spacer-x-0 p-0">
                <a href="https://v1.lifearcplan.info/advisorlogin" class="navi-item" target="_blank">
                    <div class="navi-link">
                        <div class="symbol symbol-40 bg-light mr-3">
                            <div class="symbol-label">
                                <i class="fas fa-users text-danger icon-lg"></i>
                            </div>
                        </div>
                        <div class="navi-text">
                            <div class="font-weight-bold">
                                Archived Client List
                            </div>
                            <div class="text-muted">
                                View archived clients here
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="separator separator-solid mt-0 mb-0"></div>
        }
        @if (role != Roles.SuperAdmin)
        {
            <div class="navi navi-spacer-x-0 p-0">
                <a href="welcome-user" class="navi-item">
                    <div class="navi-link">
                        <div class="symbol symbol-40 bg-light mr-3">
                            <div class="symbol-label">
                                <i class="icon-xl fas fa-cubes text-warning"></i>
                            </div>
                        </div>
                        <div class="navi-text">
                            <div class="font-weight-bold">
                                Welcome Menu
                            </div>
                            <div class="text-muted">
                                Check out our Products
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="separator separator-solid mt-0 mb-0"></div>
            <div class="navi navi-spacer-x-0 p-0">
                <a href="@area/regulatory-documents" class="navi-item">
                    <div class="navi-link">
                        <div class="symbol symbol-40 bg-light mr-3">
                            <div class="symbol-label">
                                <i class="fas fa-clipboard-list text-success icon-lg"></i>
                            </div>
                        </div>
                        <div class="navi-text">
                            <div class="font-weight-bold">
                                Regulatory Documents
                            </div>
                            <div class="text-muted">
                                Manage your Regulatory
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="separator separator-solid mt-0 mb-0"></div>
        }
        @if (role == Roles.FirmPrincipal || role == Roles.FirmAdmin)
        {
            <div class="navi navi-spacer-x-0 p-0">
                <a href="@area/user-message-board" class="navi-item">
                    <div class="navi-link">
                        <div class="symbol symbol-40 bg-light mr-3">
                            <div class="symbol-label">
                                <i class="fas fa-chalkboard-teacher icon-lg text-info mirror"></i>
                            </div>
                        </div>
                        <div class="navi-text">
                            <div class="font-weight-bold">
                                User Message Board
                            </div>
                            <div class="text-muted">
                                Manage communications with users
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="separator separator-solid mt-0 mb-0"></div>
        }
        @if (role == Roles.Adviser || hasAdviserRole)
        {
            <div class="navi navi-spacer-x-0 p-0">
                <a href="@area/client-message-board" class="navi-item">
                    <div class="navi-link">
                        <div class="symbol symbol-40 bg-light mr-3">
                            <div class="symbol-label">
                                <i class="fas fa-chalkboard-teacher icon-lg text-dark-65"></i>
                            </div>
                        </div>
                        <div class="navi-text">
                            <div class="font-weight-bold">
                                Client Message Board
                            </div>
                            <div class="text-muted">
                                Manage communications with clients
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="separator separator-solid mt-0 mb-0"></div>
        }
        @if (role != Roles.SuperAdmin)
        {
            <div class="navi navi-spacer-x-0 p-0">
                <a href="user/release-notes" class="navi-item">
                    <div class="navi-link">
                        <div class="symbol symbol-40 bg-light mr-3">
                            <div class="symbol-label">
                                <i class="fab fa-stack-exchange icon-lg text-warning"></i>
                            </div>
                        </div>
                        <div class="navi-text">
                            <div class="font-weight-bold">
                                Release Notes
                            </div>
                            <div class="text-muted">
                                View past releases of product
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="separator separator-solid mt-0 mb-0"></div>
            <div class="navi navi-spacer-x-0 p-0">
                <a href="user/security-setting" class="navi-item">
                    <div class="navi-link">
                        <div class="symbol symbol-40 bg-light mr-3">
                            <div class="symbol-label">
                                <i class="icon-xl fas fa-cog text-primary"></i>
                            </div>
                        </div>
                        <div class="navi-text">
                            <div class="font-weight-bold">
                                Settings
                            </div>
                            <div class="text-muted">
                                Manage your internal settings
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="separator separator-solid mt-0 mb-0"></div>
        }
    </div>
</div>